Docs
Get an API key

Z-Image Turbo z-image-turbo

Efficient text-to-image diffusion model that produces quality images in as few as 8 steps.

From the live catalog
View .md
Image
$0.02 / megapixel
region ATL quantization bf16 Hugging Face Tongyi-MAI/Z-Image-Turbo

Inputs

InputAccepts
text

Parameters

Streams with stream: true.

ParameterTypeValuesDefault
sizeany
aspect_ratiostring1:1, 9:7, 7:9, 4:3, 3:4, 3:2, 2:3, 16:9, 9:16, 21:9, 9:211:1
resolutionstring512, 768, 1K, 1.5K, 2K
ninteger1–101
response_formatstringurl, b64_jsonurl
seedinteger
stepsinteger1–508
output_formatstringpng, jpeg, webppng
output_compressioninteger0–100
backgroundstringauto, opaqueauto

Endpoints

A request

curl https://api.vultrinference.com/v1/images/generations \
  -H "Authorization: Bearer $VULTR_INFERENCE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "z-image-turbo",
    "prompt": "Studio photograph of a red ceramic teapot beside a blue cup on a wooden table.",
    "n": 1,
    "size": "1024x1024",
    "response_format": "b64_json"
  }'